Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.relation
Class RoleStatus

    java.lang.Object
      javax.management.relation.RoleStatus

public class RoleStatus
extends Object

The problems that occur when resolving roles.

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock

Field Summary
`static int` | `LESS_THAN_MIN_ROLE_DEGREE` Tried to set a role with less objects that minimum cardinality
`static int` | `MORE_THAN_MAX_ROLE_DEGREE` Tried to set a role with more objects that maximum cardinality
`static int` | `NO_ROLE_WITH_NAME` Tried to use an unknown role
`static int` | `REF_MBEAN_NOT_REGISTERED` Tried to use an an object name that is not registered
`static int` | `REF_MBEAN_OF_INCORRECT_CLASS` Tried to use an an object name for an MBean with an incorrect class
`static int` | `ROLE_NOT_READABLE` Tried to access a role that is not readable
`static int` | `ROLE_NOT_WRITABLE` Tried to set a role that is not writable

Constructor Summary
`RoleStatus()`

Method Summary
`static boolean` | `isRoleStatus(int problemType)` See if the passed integer is a valid problem type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LESS_THAN_MIN_ROLE_DEGREE

    public static final int LESS_THAN_MIN_ROLE_DEGREE

  Tried to set a role with less objects that minimum cardinality

  See Also:
    Constant Field Values

### MORE_THAN_MAX_ROLE_DEGREE

    public static final int MORE_THAN_MAX_ROLE_DEGREE

  Tried to set a role with more objects that maximum cardinality

  See Also:
    Constant Field Values

### NO_ROLE_WITH_NAME

    public static final int NO_ROLE_WITH_NAME

  Tried to use an unknown role

  See Also:
    Constant Field Values

### REF_MBEAN_NOT_REGISTERED

    public static final int REF_MBEAN_NOT_REGISTERED

  Tried to use an an object name that is not registered

  See Also:
    Constant Field Values

### REF_MBEAN_OF_INCORRECT_CLASS

    public static final int REF_MBEAN_OF_INCORRECT_CLASS

  Tried to use an an object name for an MBean with an incorrect class

  See Also:
    Constant Field Values

### ROLE_NOT_READABLE

    public static final int ROLE_NOT_READABLE

  Tried to access a role that is not readable

  See Also:
    Constant Field Values

### ROLE_NOT_WRITABLE

    public static final int ROLE_NOT_WRITABLE

  Tried to set a role that is not writable

  See Also:
    Constant Field Values

Constructor Detail

### RoleStatus

    public RoleStatus()

Method Detail

### isRoleStatus

    public static boolean isRoleStatus(int problemType)

  See if the passed integer is a valid problem type.

  Returns:
    true when it is, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.